Name: jakarta-commons-jexl
Version: 1.0
Release: alt1

Summary: Java Expression Language
Group: Development/Java
License: Apache Software License
Url: http://jakarta.apache.org/commons/jexl/
Source0: jakarta-commons-jexl.tar.bz2
# svn co http://svn.apache.org/repos/asf/jakarta/commons/proper/jexl/trunk jexl

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit jakarta-commons-logging
Requires: jakarta-commons-logging
BuildArch: noarch

%description
Jexl is an expression language engine designed for easy embedding in
applications and frameworks. It implements an extended version of the
Expression Language of the JSTL.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
BuildRequires: jakarta-commons-logging-javadoc

%description javadoc
%summary.

%prep
%setup -q -n jexl

%build
%set_classpath %_javadir/jakarta-commons-logging-api.jar
%add_classpath %_javadir/jakarta-commons-logging.jar
CLASSPATH=%_classpath:target/classes:target/test-classes
%ant_build -Dbuild.sysclasspath=only test dist

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name}

%__install -m 644 dist/*.jar %buildroot%_javadir/%name.jar
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc LICENSE.txt
%_javadir/*.jar

%files javadoc
%doc %_javadocdir/%name

%changelog
* Wed May 04 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt1
- Initial build for ALT Linux Sisyphus
- svn snapshot 20050504

